POST api/poolDepartmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PoolDepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| date | date |
Required |
|
| active | boolean |
Required |
|
| department_item_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| quantity | integer |
Required |
Request Formats
application/json, text/json
Sample:
{
"date": "2026-06-10T01:07:42.9536548+00:00",
"active": true,
"department_item_id": "fcc83cf2-76ff-407c-9f42-ca7bdd644ecb",
"id": "031ba149-cd13-4a5f-bf5c-149e9d22811b",
"quantity": 5
}
application/xml, text/xml
Sample:
<pool_department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <date>2026-06-10T01:07:42.9536548+00:00</date> <department_item_id>fcc83cf2-76ff-407c-9f42-ca7bdd644ecb</department_item_id> <id>031ba149-cd13-4a5f-bf5c-149e9d22811b</id> <quantity>5</quantity> </pool_department_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"47ab5520-fde7-47db-98d2-fee2a7e2c26d"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">47ab5520-fde7-47db-98d2-fee2a7e2c26d</guid>